Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

Time series of CONFIRMED sales per bucket (day|week|month)

Minimum role: VIEWER. Active workspace via the X-Workspace-Id header.

GET/reports/timeseries
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Query parameters
intervalstringrequired

day | week | month

Allowed:dayweekmonth
fromstring

ISO 8601, filters Sale.created_at (gte)

tostring

ISO 8601, filters Sale.created_at (lte)

eventstring

Workspace event ID (optional)

Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Responses
200

OK

dataReportTimeseriesRow[]required
Show properties
Array of ReportTimeseriesRow
bucketstringrequired
revenuenumberrequired
ticketsSoldintegerrequired
min -9007199254740991 · max 9007199254740991
salesCountintegerrequired
min -9007199254740991 · max 9007199254740991
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://admin.appfreeticket.com/api/v1/reports/timeseries?interval=day' \
  -H 'Authorization: YOUR_API_KEY'
Response
{
  "data": [
    {
      "bucket": "string",
      "revenue": 0,
      "ticketsSold": -9007199254740991,
      "salesCount": -9007199254740991
    }
  ]
}